Skip to main content
POST
Send enrollment invitation via email

Authorizations

Authorization
string
header
required

Bearer access token obtained from the OneRoster token endpoint. Send it as Authorization: Bearer <access_token> on every request. Tokens expire after 1 hour.

Body

application/json
email
string<email>
required

The email address to send the enrollment invitation to

schoolId
string
required

The school ID to associate with this enrollment invitation

scopes
string[]
required

The scopes to grant to the guest token

Example:
interestFormSubmissionId
string
studentCount
number
default:1

Number of students to create invitations for

learningCenterId
string | null

The learning center/campus ID to associate with this enrollment invitation (optional)

schoolYearId
string | null

The school year ID to associate with this enrollment invitation (optional)

sentByUserId
string

User ID to attribute the invitation to (required when using API token auth)

Response

Enrollment invitation sent successfully

success
boolean
required

Whether the email was sent successfully

message
string
required

Success message